[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ConstValueIterator< PIXELTYPE > Class Template Reference Image Iterators |

Iterator that always returns the constant specified in the constructor. More...

`#include <vigra/imageiterator.hxx>`

List of all members.

## Public Types
typedef IteratorAdaptor < ConstValueIteratorPolicy < PIXELTYPE > > | column_iterator
typedef Diff2D | difference_type
typedef PIXELTYPE const & | index_reference
typedef image_traverser_tag | iterator_category
typedef int | MoveX
typedef int | MoveY
typedef PIXELTYPE | PixelType
typedef PIXELTYPE const * | pointer
typedef PIXELTYPE const & | reference
typedef IteratorAdaptor < ConstValueIteratorPolicy < PIXELTYPE > > | row_iterator
typedef PIXELTYPE | value_type
## Public Member Functions
column_iterator | columnIterator () const
| ConstValueIterator ()
| ConstValueIterator (PixelType const &v)
| ConstValueIterator (ConstValueIterator const &v)
bool | operator!= (ConstValueIterator const &r) const
index_reference | operator() (int const &, int const &) const
reference | operator* () const
ConstValueIterator | operator+ (Diff2D const &d) const
ConstValueIterator & | operator+= (Diff2D const &d)
ConstValueIterator | operator- (Diff2D const &d) const
Diff2D | operator- (ConstValueIterator const &r) const
ConstValueIterator & | operator-= (Diff2D const &d)
pointer | operator-> () const
ConstValueIterator & | operator= (ConstValueIterator const &v)
bool | operator== (ConstValueIterator const &r) const
index_reference | operator[] (Diff2D const &) const
row_iterator | rowIterator () const
## Public Attributes
Specify coordinate direction for navigation commands
int | x
| refer to x coordinate
int | y
| refer to y coordinate

## Detailed Description

### template<class PIXELTYPE>
class vigra::ConstValueIterator< PIXELTYPE >

Iterator that always returns the constant specified in the constructor.

This iterator can be used to simulate an image that does not actually exist.

#include <vigra/imageiterator.hxx>

Namespace: vigra

## Member Typedef Documentation

typedef PIXELTYPE value_type

The type of the constant the iterator holds.

typedef PIXELTYPE PixelType

The type of the constant the iterator holds.

typedef PIXELTYPE const& reference

the iterator's reference type (return type of `*iter`)

typedef PIXELTYPE const& index_reference

the iterator's index reference type (return type of `iter[diff]`)

typedef PIXELTYPE const* pointer

the iterator's pointer type (return type of `iter.operator->()`)

typedef Diff2D difference_type

the iterator's difference type (argument type of `iter[diff]`)

typedef image_traverser_tag iterator_category

the iterator tag (image traverser)

typedef IteratorAdaptor<ConstValueIteratorPolicy<PIXELTYPE> > row_iterator

The associated row iterator.

typedef IteratorAdaptor<ConstValueIteratorPolicy<PIXELTYPE> > column_iterator

The associated column iterator.

typedef int MoveX

Let operations act in X direction

typedef int MoveY

Let operations act in Y direction

## Constructor & Destructor Documentation

ConstValueIterator | ( |  | ) |

Default Constructor. (the constant is set to `NumericTraits<PIXELTYPE>::zero()` )

ConstValueIterator | ( | PixelType const & | v | ) |

Construct with given constant.

ConstValueIterator | ( | ConstValueIterator< PIXELTYPE > const & | v | ) |

Copy Constructor.

## Member Function Documentation

ConstValueIterator& operator= | ( | ConstValueIterator< PIXELTYPE > const & | v | ) |

Copy Assigment.

ConstValueIterator& operator+= | ( | Diff2D const & | d | ) |

Move iterator by specified distance.

ConstValueIterator& operator-= | ( | Diff2D const & | d | ) |

Move iterator by specified distance.

ConstValueIterator operator+ | ( | Diff2D const & | d | ) | const

Create iterator at specified distance.

ConstValueIterator operator- | ( | Diff2D const & | d | ) | const

Create iterator at specified distance.

Diff2D operator- | ( | ConstValueIterator< PIXELTYPE > const & | r | ) | const

Compute distance between two iterators

bool operator== | ( | ConstValueIterator< PIXELTYPE > const & | r | ) | const

Equality.

bool operator!= | ( | ConstValueIterator< PIXELTYPE > const & | r | ) | const

Inequality.

reference operator* | ( |  | ) | const

Read current pixel (return specified constant).

pointer operator-> | ( |  | ) | const

Call member function for stored constant.

index_reference operator() | ( | int const & | ,
|  | int const & |
| ) |  | const

Read pixel at a distance (return specified constant).

index_reference operator[] | ( | Diff2D const & |  | ) | const

Read pixel at a distance (return specified constant).

row_iterator rowIterator | ( |  | ) | const

Get row iterator at current position (which will also hold the constant).

column_iterator columnIterator | ( |  | ) | const

Get column iterator at current position (which will also hold the constant).

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)